<%--
  The contents of this file are subject to the terms
  of the Common Development and Distribution License
  (the License).  You may not use this file except in
  compliance with the License.
 
  You can obtain a copy of the license at
  http://www.sun.com/cddl/cddl.html or
  at portlet-repository/CDDLv1.0.txt.
  See the License for the specific language governing
  permissions and limitations under the License.
 
  When distributing Covered Code, include this CDDL
  Header Notice in each file and include the License file
  at portlet-repository/CDDLv1.0.txt.
  If applicable, add the following below the CDDL Header,
  with the fields enclosed by brackets [] replaced by
  you own identifying information:
  "Portions Copyrighted [year] [name of copyright owner]"
 
  Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 --%>

<%@ page import="javax.portlet.RenderRequest" %>
<%@ page import="javax.portlet.PortletPreferences" %>
<%@ page import="javax.portlet.RenderResponse" %>
<%@ page import="javax.portlet.PortletURL" %>
<%@ page import="javax.portlet.PortletMode" %>
<%@ page import="java.util.TimeZone" %>
<%@ page import="java.util.Date" %>
<%@ page import="java.text.DateFormat" %>
<%@ page import="java.util.Map" %>
<%@ page import="java.util.Locale" %>
<%@ page import="java.util.Arrays" %>
<%@ page session="false" %>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet" %>
<%@ taglib uri="http://java.sun.com/jstl/fmt" prefix="fmt" %>

<portlet:defineObjects/>
<fmt:setBundle basename="ShowTimePortlet" />

<%
Map uiMap = (Map)renderRequest.getAttribute("javax.portlet.userinfo");
Locale locale = renderRequest.getLocale();
if (locale == null) {
   locale = Locale.getDefault();
}
String timezone = renderRequest.getParameter("TIMEZONE");
PortletPreferences pref = renderRequest.getPreferences();
if(timezone == null || timezone.trim().length() == 0) {
   timezone = pref.getValue("timezone", "");
   if (timezone == null || timezone.trim().length() == 0) { 
      if ( uiMap != null && uiMap.containsKey("timezone")) { 
         timezone = (String)uiMap.get("timezone");
      } else {
         timezone = TimeZone.getDefault().getID();
      }
   }
}
TimeZone tz = TimeZone.getTimeZone(timezone);
DateFormat df = DateFormat.getDateTimeInstance(DateFormat.FULL, DateFormat.SHORT, locale);
df.setTimeZone(tz);

String [] ids = TimeZone.getAvailableIDs();
Arrays.sort(ids);

%>
<portlet:actionURL var="aURL">
</portlet:actionURL>

<table>
<TR valign=top>
<td><B> 
<fmt:message key="timeZone"/>: 
</B> 
</td>
<TD><%=tz.getID()%>(<%=tz.getDisplayName(false, TimeZone.LONG, locale)%>)</TD>
<TD>&nbsp;</TD>
</tr>
<TR valign=top>
<TD><B>
<fmt:message key="currentTime"/>:
</B>
</TD>
<TD NOWRAP>
<%=df.format(new Date())%>
</TD>
<TD>&nbsp;</TD>
</TR>
</TABLE>
<%
String timezone1 = renderRequest.getParameter("TIMEZONE1");
String timezone2 = renderRequest.getParameter("TIMEZONE2");

if (timezone1 == null || timezone1.trim().length() == 0) {
   timezone1 = timezone;
} 

if (timezone2 == null || timezone2.trim().length() == 0) {
   timezone2 = timezone;
}
%>

<%@ include file="timezoneComparison.jsp" %>
<%
String time_diff = renderRequest.getParameter("TIMEZONE_DIFF");
if (time_diff != null && time_diff.equals("1")) {
%>
<%@ include file="results.jsp" %>
<%
}
%>
